# Uses of Interface
org.astrogrid.samp.web.AuthResourceBundle.Content

Packages that use AuthResourceBundle.Content
Package
Description
org.astrogrid.samp.web
Classes relating to the SAMP Web Profile.

## Uses of AuthResourceBundle.Content in org.astrogrid.samp.web

Methods in org.astrogrid.samp.web that return AuthResourceBundle.Content
Modifier and Type
Method
Description
`static AuthResourceBundle.Content`
AuthResourceBundle.`getAuthContent(ResourceBundle bundle)`
Returns a Content object based on a bundle which has the keys that AuthResourceBundle is supposed to have.
Methods in org.astrogrid.samp.web with parameters of type AuthResourceBundle.Content
Modifier and Type
Method
Description
`CredentialPresenter.Presentation`
CredentialPresenter.`createPresentation(HttpServer.Request request, Map securityMap, AuthResourceBundle.Content authContent)`
Returns an object which contains user-directed credential messages, given available information from the registration request.
`CredentialPresenter.Presentation`
WebCredentialPresenter.`createPresentation(HttpServer.Request request, Map securityMap, AuthResourceBundle.Content authContent)`
Constructors in org.astrogrid.samp.web with parameters of type AuthResourceBundle.Content
Modifier
Constructor
Description
`protected`
`AuthResourceBundle(AuthResourceBundle.Content content)`
Constructs a bundle based on a Content implementation.